##
##  xmlvm.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         xmlvm
Summary:      XML Virtual Machine
URL:          http://www.xmlvm.org/
Vendor:       Prof. Arno Puder et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        CompilerCompiler
License:      GPL
Version:      20100328
Release:      20100328

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/xmlvm/xmlvm-%{version}.tar.bz2
Source1:      xmlvm.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  java, JAVA-JDK, ant
PreReq:       java, JAVA-JDK

%description
    The goal of XMLVM is to offer a flexible and extensible
    cross-compiler toolchain. Instead of cross-compiling on a source
    code level, XMLVM cross-compiles byte code instructions from Sun
    Microsystem's virtual machine and Microsoft's Common Language
    Runtime. The benefit of this approach is that byte code instructions
    are easier to cross-compile and the difficult parsing of a
    high-level programming language is left to a regular compiler. In
    XMLVM, byte code-based programs are represented as XML documents.
    This allows manipulation and translation of XMLVM-based programs
    using advanced XML technologies such as XSLT, XQuery, and XPath.

%track
    prog xmlvm = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/xmlvm/
        regex     = xmlvm-(__VER__)\.tar\.bz2
    }

%prep
    %setup -q -n xmlvm

%build
    %{l_prefix}/bin/ant xmlvmjar build-objc-compat-lib

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/xmlvm \
        $RPM_BUILD_ROOT%{l_prefix}/share/xmlvm
    %{l_shtool} install -c -m 644 \
        dist/xmlvm.jar dist/lib/*.jar \
        $RPM_BUILD_ROOT%{l_prefix}/lib/xmlvm/
    %{l_shtool} install -c -m 644 \
        doc/manual/manual.pdf \
        $RPM_BUILD_ROOT%{l_prefix}/share/xmlvm/
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE xmlvm.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/xmlvm
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%doc %{l_prefix}/share/xmlvm/*.pdf'

%files -f files

%clean

